/* JFox, the OpenSource J2EE Application Server
 *
 * Copyright (C) 2002 huihoo.com
 * Distributable under GNU LGPL license
 * See the GNU Lesser General Public License for more details.
 */

package org.huihoo.jfox.xmlet;

import javax.management.ObjectName;
import javax.management.loading.MLetMBean;

import org.huihoo.jfox.service.ServiceSupportMBean;

/**
 * MLet Monitor interface
 * 
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */


public interface DirMLetMBean extends ServiceSupportMBean {
  /**
   * get the pathes have loaded
   */
  String[] getPathes();

  /**
   * add a path want to be load, must be a directory
   */
  void addPath(String path);

  /**
   * set the ObjectName of MLet for load MBean
   */
  void setMLet(ObjectName mletObjectName);
  /**
   * get is't MLet ObjectName
   */
  ObjectName getMLet();
  /**
   * the object instance of it's MLet
   */
  MLetMBean getMLetInstance();

  /**
   * set the sleep time in millisecond
   */
  public void setSleepTime(long milSec);

  public long getSleepTime();

}
